--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: thread
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: time
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Represents timeout period.
constants: []

full_name: HTTPClient::TimeoutScheduler::Period
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: cancel
- !ruby/object:RI::MethodSummary 
  name: raise
name: Period
superclass: Object
